#pragma once

#include <object/components/component.hpp>

namespace Game::Object::Components {
    class BoxCollider : public Component {
        public:
            BoxCollider() = default;
            BoxCollider(const BoxCollider&);
            BoxCollider& operator=(const BoxCollider&);
            BoxCollider(BoxCollider&&) noexcept;
            BoxCollider& operator=(BoxCollider&&) noexcept;
            ~BoxCollider() override;

            void start(Object::Entity* thisEntity) override;
            void update(float deltaTime, Object::Entity* thisEntity) override;

        private:
    };
}